link: release/29755
meta:
  added_date: 2024-12-23T07:23
  edited_date: 2025-02-09T04:34
  fetched_date: 2026-01-12T16:01
  ttl: 86400
  visitors: 109
name: Rushing Beat
picture_full: https://media.vgm.io/releases/55/29755/29755-1734967503.jpg
picture_small: https://thumb-media.vgm.io/releases/55/29755/29755-1734967503.jpg
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=29755
